Skip to main content
GET
/
course_lesson_interactions
JavaScript
import Whop from '@whop/sdk';

const client = new Whop({
  apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const courseLessonInteractionListItem of client.courseLessonInteractions.list()) {
  console.log(courseLessonInteractionListItem.id);
}
{
  "data": [
    {
      "id": "crsli_xxxxxxxxxxxx",
      "completed": true,
      "created_at": "2023-12-01T05:00:00.401Z",
      "lesson": {
        "id": "lesn_xxxxxxxxxxxxx",
        "title": "Understanding Candlestick Patterns",
        "chapter": {
          "id": "chap_xxxxxxxxxxxxx"
        }
      },
      "user": {
        "id": "user_xxxxxxxxxxxxx",
        "name": "John Doe",
        "username": "johndoe42"
      }
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "start_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true
  }
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Query Parameters

after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

user_id
string | null

The unique identifier of the user to filter lesson interactions for.

Example:

"user_xxxxxxxxxxxxx"

lesson_id
string | null

The unique identifier of the lesson to filter interactions for.

Example:

"lesn_xxxxxxxxxxxxx"

course_id
string | null

The unique identifier of the course to filter interactions for.

Example:

"cors_xxxxxxxxxxxxx"

completed
boolean | null

Whether to filter for completed or in-progress lesson interactions.

Response

A successful response

The connection type for LessonInteraction.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.